%define anolis_release 1
%global debug_package %{nil}

# When releasing a xorg-x11-proto-devel version with updated keysyms,
# rebuild libX11

Summary: X.Org X11 Protocol headers
Name: xorg-x11-proto-devel
Version: 2022.1
Release: %{anolis_release}%{?dist}
License: MIT
URL: https://www.x.org
BuildArch: noarch

Source0:  https://www.x.org/pub/individual/proto/xorgproto-%{version}.tar.bz2

BuildRequires: gcc
BuildRequires: pkgconfig
BuildRequires: meson

%description
X.Org X11 Protocol headers


%prep
%autosetup -n xorgproto-%{version}

%build
%meson
%meson_build

%install
%meson_install

# trim some fat
for i in apple windows trap ; do
    rm -f $RPM_BUILD_ROOT%{_includedir}/X11/extensions/*${i}*
    rm -f $RPM_BUILD_ROOT%{_datadir}/pkgconfig/*${i}*
done

# keep things building even if you have the html doc tools for xmlto installed
rm -f $RPM_BUILD_ROOT%{_docdir}/*/*.{html,svg}

%files
%doc COPYING-*
%doc *.txt
%dir %{_includedir}/GL
%{_includedir}/GL/glx*.h
%dir %{_includedir}/GL/internal
%{_includedir}/GL/internal/glcore.h
%dir %{_includedir}/X11
%{_includedir}/X11/*.h
%dir %{_includedir}/X11/dri
%{_includedir}/X11/dri/*.h
%dir %{_includedir}/X11/extensions
%{_includedir}/X11/extensions/*.h
%dir %{_includedir}/X11/fonts
%{_includedir}/X11/fonts/*.h
%{_datadir}/pkgconfig/*.pc
%{_docdir}/xorgproto/*

%changelog
* Mon Jul 11 2022 happy_orange <songnannan@linux.alibaba.com> - 2022.1-1
- init package from upstream
